<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

namespace CleverReach\WooCommerce\Components\Services\BusinessLogic\SyncSettings;

use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\Receiver\DTO\Config\SyncService;
use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\SyncSettings\SyncSettingsService as BaseSyncSettingsService;
use CleverReach\WooCommerce\IntegrationCore\Infrastructure\ServiceRegister;

/**
 * Class Sync_Settings_Service
 *
 * @package CleverReach\WooCommerce\Components\Services\BusinessLogic\SyncSettings
 */
class Sync_Settings_Service extends BaseSyncSettingsService {

	/**
	 * Retrieves available services.
	 *
	 * @return SyncService[]
	 */
	public function getAvailableServices() {
		return array(
			ServiceRegister::getService( Subscriber_Sync_Service::CLASS_NAME ),
			ServiceRegister::getService( Buyer_Sync_Service::CLASS_NAME ),
			ServiceRegister::getService( Contact_Sync_Service::CLASS_NAME ),
		);
	}
}
