<?php
/**
 * CleverReach WooCommerce Integration.
 *
 * @package CleverReach
 */

namespace CleverReach\WooCommerce\Components\WebHooks\Handlers;

use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\Receiver\DTO\Receiver;
use CleverReach\WooCommerce\IntegrationCore\BusinessLogic\Receiver\Tasks\Composite\SubscribeReceiverTask;
use Exception;

/**
 * Class Receiver_Subscribed_Handler
 *
 * @package CleverReach\WooCommerce\Components\WebHooks\Handlers
 */
class Receiver_Subscribed_Handler extends Handler {

	/**
	 * Runs task logic.
	 *
	 * @inheritDoc
	 * @throws Exception Exception.
	 */
	public function execute() {
		$receiver = $this->get_receiver( $this->get_group_service()->getId(), $this->receiver_id );
		/**
		 * Receiver object.
		 *
		 * @var Receiver $subscriber
		 */
		$subscriber = $this->get_subscriber_service()->get_newsletter_by_email( $receiver->getEmail() );

		if ( $subscriber ) {
			$this->update_subscriber( $receiver, $subscriber );
			$this->enqueue( new SubscribeReceiverTask( $receiver->getEmail() ) );
		}

		$this->reportProgress( 100 );
	}
}
