(function () {
    document.addEventListener('DOMContentLoaded', function () {
        let buyersCheckbox = document.getElementById('crBuyersCheckbox');
        let contactsCheckbox = document.getElementById('crContactsCheckbox');

        let importButton = document.getElementById('crInitialSyncSettingsImportButton');
        let cancelButton = document.getElementById('crInitialSyncSettingsCancelButton');

        let subscribersExistInSystem = document.getElementById('crSubscribersExist').value === '1';

        let saveSettingsUrl = document.getElementById('crSaveSettingsBeforeUrl');
        let cancelUrl = document.getElementById('crCancelSettingsBeforeUrl');

        const loader = document.getElementById('crLoader');

        setImportButtonState();

        /**
         * Disables import button if subscribers don't exist in the system and none of the other receivers is not selected
         */
        function setImportButtonState() {
            const buyerChecked = buyersCheckbox.checked;
            importButton.disabled = !subscribersExistInSystem && !buyerChecked;
        }

        if (importButton) {
            importButton.addEventListener('click', function () {
                importButton.disabled = true;
                cancelButton.disabled = true;

                const selectedOptions = ['subscribers'];

                if (buyersCheckbox.checked) {
                    selectedOptions.push('buyers');
                }

                if (contactsCheckbox.checked) {
                    selectedOptions.push('contacts');
                }

                const body = {
                    'syncSettings': selectedOptions,
                };

                loader.classList.remove('cr-hidden');
                CleverReach.Ajax.post(saveSettingsUrl.value, body, function (response) {
                    if (response.success) {
                        location.reload();
                    }
                }, 'json', true);
            });
        }

        if (cancelButton) {
            cancelButton.addEventListener('click', function () {
                importButton.disabled = true;
                cancelButton.disabled = true;
                loader.classList.remove('cr-hidden');
                CleverReach.Ajax.post(cancelUrl.value, null, function (response) {
                    if (response.success) {
                        location.reload();
                    }
                }, 'json', true);
            });
        }

        if (buyersCheckbox) {
            buyersCheckbox.addEventListener('change', function () {
                if (!buyersCheckbox.checked) {
                    contactsCheckbox.checked = false;
                }
                setImportButtonState();
            });
        }

        if (contactsCheckbox) {
            contactsCheckbox.addEventListener('change', function () {
                if (contactsCheckbox.checked) {
                    buyersCheckbox.checked = true;
                }
                setImportButtonState();
            });
        }
    });
})();
