<?php

use CleverReach\WooCommerce\ViewModel\InitialSyncSettings\Initial_Sync_Settings_Config;

$config = Initial_Sync_Settings_Config::get_initial_sync_settings_config();
?>

<input type="hidden" id="crSaveSettingsBeforeUrl" value="<?php
echo esc_url( $config['saveSettingsUrl'] ) ?>">
<input type="hidden" id="crCancelSettingsBeforeUrl" value="<?php
echo esc_url( $config['cancelUrl'] ) ?>">

<input type="hidden" id="crSubscribersExist" value="1">
<div class="wrap cr-container">
    <h2><?php
		echo esc_html( __( 'Import Receivers', 'cleverreach-wc' ) ) ?></h2>
    <p>
		<?php
		echo esc_html( __( 'Select receivers to import. Observe the guidelines of the General Data Protection Regulation.',
		                   'cleverreach-wc' ) ) ?>
    </p>
    <a href=" <?php
	echo esc_url( __( 'https://support.cleverreach.de/hc/en-us/articles/360013571280',
	                  'cleverreach-wc' ) ) ?>"
       target="_blank">
		<?php
		echo esc_html( __( 'Learn more about data protection', 'cleverreach-wc' ) ) ?>
    </a>
    <table class="form-table">
        <tbody>
        <tr valign="top">
            <td class="forminp forminp-text">
                <fieldset>
                    <legend class="screen-reader-text">
                        <span>checkbox</span>
                    </legend>
                    <label for="crSubscribersCheckbox">
                        <input name="crSubscribersCheckbox" type="checkbox" id="crSubscribersCheckbox" checked readonly
                               disabled value="1">
						<?php
						echo esc_html( __( 'Subscriber', 'cleverreach-wc' ) ) ?>
                    </label>
                    <p class="description">
						<?php
						echo esc_html( __( 'Subscribed to your newsletter.', 'cleverreach-wc' ) ) ?>
                    </p>
                </fieldset>
                <fieldset>
                    <legend class="screen-reader-text">
                        <span>checkbox</span>
                    </legend>
                    <label for="crBuyersCheckbox">
                        <input name="crBuyersCheckbox" type="checkbox" id="crBuyersCheckbox" value="1">
						<?php
						echo esc_html( __( 'Buyer', 'cleverreach-wc' ) ) ?>
                    </label>
                    <p class="description">
						<?php
						echo esc_html( __( 'Bought something from your store.', 'cleverreach-wc' ) ) ?>
                    </p>
                </fieldset>
                <fieldset>
                    <legend class="screen-reader-text">
                        <span>checkbox</span>
                    </legend>
                    <label for="crContactsCheckbox">
                        <input name="crContactsCheckbox" type="checkbox" id="crContactsCheckbox" value="1">
						<?php
						echo esc_html( __( 'Contacts', 'cleverreach-wc' ) ) ?>
                        <p class="description">
							<?php
							echo esc_html( __( 'Didn\'t subscribe or buy.', 'cleverreach-wc' ) ) ?>
                        </p>
                    </label>
                </fieldset>
            </td>
        </tr>
        </tbody>
    </table>
    <button class="button cr-primary" id="crInitialSyncSettingsImportButton"><?php
		echo esc_html( __( 'Import receivers',
		                   'cleverreach-wc' ) ) ?></button>
    <button class="button cr-secondary" id="crInitialSyncSettingsCancelButton"><?php
		echo esc_html( __( 'Cancel',
		                   'cleverreach-wc' ) ) ?></button>

</div>
