<?php

use CleverReach\WooCommerce\Components\Repositories\Customers\Subscriber_Repository;
use CleverReach\WooCommerce\ViewModel\NewsletterCheckbox\Newsletter_Checkbox;

$newsletter_checkbox_view_model = new CleverReach\WooCommerce\ViewModel\NewsletterCheckbox\Newsletter_Checkbox();
$newsletter_settings_view_model = new CleverReach\WooCommerce\ViewModel\Settings\Newsletter_Settings();

$cr_checked = false;

$current_user    = wp_get_current_user();
$current_user_id = $current_user->ID;
$cr_checked      = get_user_meta( $current_user_id, Subscriber_Repository::get_newsletter_column(), true ) === '1';

$cr_newsletter_caption           = $newsletter_checkbox_view_model->get_newsletter_checkbox_caption();
$is_checkbox_disabled            = $newsletter_checkbox_view_model->get_newsletter_checkbox_disabled();
$cr_subscription_success_message = $newsletter_settings_view_model->get_newsletter_subscription_confirmation_message();
$config                          = Newsletter_Checkbox::get_config();

if ( wc()->session ) {
	wc()->session->set( 'from_profile', false );
}
?>
<?php
if ( ! $is_checkbox_disabled ) { ?>
    <input type="hidden" id="crNewsletterStatusField" value="<?php
	echo esc_attr( $config['newsletterStatusField'] ) ?>">
    <input type="hidden" id="crSubscribeUrl" value="<?php
	echo esc_attr( $config['subscribeUrl'] ) ?>">
    <input type="hidden" id="crUndoUrl" value="<?php
	echo esc_attr( $config['undoUrl'] ) ?>">
    <label class="woocommerce-form__label woocommerce-form__label-for-checkbox checkbox">
        <input type="checkbox"
               class="woocommerce-form__input woocommerce-form__input-checkbox input-checkbox"
               name="<?php
		       echo esc_attr( $config['newsletterStatusField'] ); ?>"
               id="<?php
		       echo esc_attr( $config['newsletterStatusField'] ); ?>"
               value="1"
			<?php
			echo esc_attr( $cr_checked ? ' checked="checked"' : '' ); ?>
        >
        <span>
		<?php
		echo esc_html( __( $cr_newsletter_caption, 'cleverreach-wc' ) ); ?>
	</span>
    </label>
    <label id="crSubscriptionConfirmationMessage" class="hidden" style="font-weight: normal">
        <span>
		<?php
		echo esc_html( __( $cr_subscription_success_message, 'cleverreach-wc' ) ); ?>
        </span>
        <a href="javascript:" id="crUndo"><?php
			echo esc_html( __( 'Undo', 'cleverreach-wc' ) ); ?></a>
    </label>
	<?php
} ?>
