# Changelog
All notable changes to this project will be documented in this file.
Procedure for releasing new version is [here](https://logeecom.atlassian.net/wiki/spaces/CR/pages/181600257/CORE+library+versioning+workflow).

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/).

## [v3.3.5](https://github.com/cleverreach/logeecore/compare/v3.3.4...v3.3.5)
- Add async request timeout in SupportService.

## [v3.3.4](https://github.com/cleverreach/logeecore/compare/v3.3.3...v3.3.4)
- Changed access modifiers from private to protected in ReceiverSyncTask and ReceiversExporter task

## [v3.3.3](https://github.com/cleverreach/logeecore/compare/v3.3.2...v3.3.3)
- Add `QueueService::countItems` function to count items in the provided status
- Add `QueueService::findExpiredRunningItems` function to return expired items in progress status
- Optimize `QueueService::failOrRequeueExpiredTasks` and `QueueService::startOldestQueuedItems` functions

## [v3.3.2](https://github.com/cleverreach/logeecore/compare/v3.3.1...v3.3.2)
- Add the more detail why AC email sending failed

## [v3.3.1](https://github.com/cleverreach/logeecore/compare/v3.3.0...v3.3.1)
- Fix setting scheduled time on AutomationRecord 
- Fix checking existing automation records 

## [v3.3.0](https://github.com/cleverreach/logeecore/compare/v3.2.7...v3.3.0)
- Add abandoned cart records feature
- **BREAKABLE** Added `AutomationRecordService::trigger` method
- **BREAKABLE** Extended `AutomationRecord` entity with additional indexed fields
- Refactor log level setting

## [v3.2.7](https://github.com/cleverreach/logeecore/compare/v3.2.6...v3.2.7)
- Remove diagnostics. This version is functionally identical to v3.2.2.

## [v3.2.6](https://github.com/cleverreach/logeecore/compare/v3.2.5...v3.2.6)
- Replace receiver export progress with keep alive signal.

## [v3.2.5](https://github.com/cleverreach/logeecore/compare/v3.2.4...v3.2.5)
- Report receiver export progress once every 60 seconds at most.

## [v3.2.4](https://github.com/cleverreach/logeecore/compare/v3.2.3...v3.2.4)
- Revert report progress changes.
- Change that only every 10 batches progress will be reproted during export.

## [v3.2.3](https://github.com/cleverreach/logeecore/compare/v3.2.2...v3.2.3)
- Change report progress frequency. 

## [v3.2.2](https://github.com/cleverreach/logeecore/compare/v3.2.1...v3.2.2)
- Make secondary sync task enqueuer integration extensible. 

## [v3.2.1](https://github.com/cleverreach/logeecore/compare/v3.2.0...v3.2.1)
- Fix queue item retrieval in the support console. 

## [v3.2.0](https://github.com/cleverreach/logeecore/compare/v3.1.5...v3.2.0)
- Multi-store abandoned cart feature

## [v3.1.5](https://github.com/cleverreach/logeecore/compare/v3.1.4...v3.1.5)
- Optimize double opt-in task to create inactive recipient instead of active one.
- Fix wrong exception parameters for form proxy.

## [v3.1.4](https://github.com/cleverreach/logeecore/compare/v3.1.3...v3.1.4)
- Fix `SendDoubleOptInEmailsTask` Serialization.

## [v3.1.3](https://github.com/cleverreach/logeecore/compare/v3.1.2...v3.1.3)
- Revert tag fix.

## [v3.1.2](https://github.com/cleverreach/logeecore/compare/v3.1.1...v3.1.2)
- Fix tag to string transformation.

## [v3.1.1](https://github.com/cleverreach/logeecore/compare/v3.1.0...v3.1.1)
- Remove email from base receiver merger.

## [v3.1.0](https://github.com/cleverreach/logeecore/compare/v3.0.23...v3.1.0)
- **BREAKABLE**: Add `getOrderSource` method in `OrderService`.

## [v3.0.23](https://github.com/cleverreach/logeecore/compare/v3.0.22...v3.0.23)
- Fix name of the `Segment` created from `Tag`.

## [v3.0.22](https://github.com/cleverreach/logeecore/compare/v3.0.21...v3.0.22)
- Fix formatting issue of non unicode characters in `Tag`.

## [v3.0.21](https://github.com/cleverreach/logeecore/compare/v3.0.20...v3.0.21)
- Fix json serialization of the `SubscribeReceiverTask`.

## [v3.0.20](https://github.com/cleverreach/logeecore/compare/v3.0.19...v3.0.19)
- Fix tag formatting.
- Remove usage of deprecated `md5` function.
- Change `getTrace` method to `getTraceAsString`.

## [v3.0.19](https://github.com/cleverreach/logeecore/compare/v3.0.18...v3.0.19)
- Skipped operation timeouted CURL error.

## [v3.0.18](https://github.com/cleverreach/logeecore/compare/v3.0.17...v3.0.18)
- Add option to delete abandoned cart webhooks.

## [v3.0.17](https://github.com/cleverreach/logeecore/compare/v3.0.16...v3.0.17)
- Add the limit to the TaskCleanupTask to avoid memory overflow issues in case of larger se of pending task for delete.

## [v3.0.16](https://github.com/cleverreach/logeecore/compare/v3.0.15...v3.0.16)
- Improve offline mode.
- Fix queue item priority order.

## [v3.0.15](https://github.com/cleverreach/logeecore/compare/v3.0.13...v3.0.15)
- Change access token lifetime to 7 days.

## [v3.0.13](https://github.com/cleverreach/logeecore/compare/v3.0.12...v3.0.13)
- Whitelist inactive receiver when double opt-in is used.

## [v3.0.12](https://github.com/cleverreach/logeecore/compare/v3.0.11...v3.0.12)
- Fix NPS free text survey

## [v3.0.11](https://github.com/cleverreach/logeecore/compare/v3.0.10...v3.0.11)
- Add CLASS_NAME constant

## [v3.0.10](https://github.com/cleverreach/logeecore/compare/v3.0.9...v3.0.10)
- Fix issues on PHP 5.3

## [v3.0.9](https://github.com/cleverreach/logeecore/compare/v3.0.8...v3.0.9)
- Revert suffix to the blacklisted emails

## [v3.0.8](https://github.com/cleverreach/logeecore/compare/v3.0.7...v3.0.8)
- Add Blacklist DTO (email, comment, stamp, isLocked) 
- Removed usage of suffix on the blacklisted email (suffix is now part of blacklist comment)
- Complete suffix needs to be defined in integration (`GroupService::getBlacklistedEmailsSuffix` method)

## [v3.0.7](https://github.com/cleverreach/logeecore/compare/v3.0.6...v3.0.7)
- Add time-stamp to order item DTO.

## [v3.0.6](https://github.com/cleverreach/logeecore/compare/v3.0.5...v3.0.6)
- Fix the issue with the undefined index when the form creation fails.
- Fix the issue with the unsubscribe of the non-existing receiver.

## [v3.0.5](https://github.com/cleverreach/logeecore/compare/v3.0.4...v3.0.5)
- Fix issue with the unnecessary token refresh.

## [v3.0.4](https://github.com/cleverreach/logeecore/compare/v3.0.3...v3.0.4)
- Fix weekly schedule calculation.

## [v3.0.3](https://github.com/cleverreach/logeecore/compare/v3.0.2...v3.0.3)
- Changed the dynamic content name pattern.
- Added google campaign name property to mailing settings dto.
- Expanded stats dto with additional properties.

## [v3.0.2](https://github.com/cleverreach/logeecore/compare/v3.0.1...v3.0.2)
- Fix support console user data.
